Bug 839546 - [engine][networks] STP should be allowed to set only if network is VM network
[engine][networks] STP should be allowed to set only if network is VM network
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Muli Salem
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 05:19 EDT by Mike Kolesnik
Modified: 2016-02-10 14:49 EST (History)
10 users (show)

See Also:
Fixed In Version: si15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Kolesnik 2012-07-12 05:19:21 EDT
Description of problem:
STP is a property for bridges/switches and thus is only relevant for VM networks.

We need to block setting it on add/edit of a logical network if it's not a VM network.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Muli Salem 2012-08-19 03:24:42 EDT
http://gerrit.ovirt.org/#/c/7305/
Comment 5 Martin Pavlik 2012-08-23 05:32:53 EDT
Test1

[root@dell-r210ii-07 ~]# cat /etc/sysconfig/network-scripts/ifcfg-em2 
DEVICE=em2
ONBOOT=yes
HWADDR=D0:67:E5:F0:82:45
BRIDGE=bridged_2101
NM_CONTROLLED=no
STP=yes

Test2

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<fault>
    <reason>Operation Failed</reason>
    <detail>[Cannot add Network. STP can only be enabled on VM Networks.]</detail>
</fault>

Note You need to log in before you can comment on or make changes to this bug.